#!/usr/bin/env python 

import ICP

'''
To see the result you will obtain with this test script,
see the image 

      Result_for_color_images.png

in this directory.  This picture is a mosaic of the model
and the data images and the images obtained at the end of
each of the 40 iterations.

To understand the format of the results shown in the above
'.png' image, the first three images in the top row
correspond to the model and the next three images to the
data.  In each set of three images, the first is the photo,
the second the output of a simple edge detector, and the
third a subset of the second.  It is the pixels shown in the
third and the sixth images in the first row that are used
for ICP calculation.

The rest of the mosaic shows the data image being translated
and rotated as it is becoming congruent with the model data.

In general, the results you will obtain on color and
grayscale images will NOT be as good as the one shown in

      Result_for_color_images.png

For good results on color and grayscale imagery, you will
need to replace the pixel extraction function in the current
module with a more powerful routine.  Another option would
be to separately carry out high-accuracy edge detection on
your images and then feed the outputs as binary images to
this module.

'''

icp = ICP.ICP( 
           model_image = "book1.jpg",
           data_image = "book2.jpg",
           binary_or_color = "color",
           iterations = 40,
           connectivity_threshold = 5,
           output_image_size = 100,
           display_step = 1,
           debug = 0 )

icp.icp()
icp.display_results()

